import { Encoder, Decoder } from "../../core/converter";
export declare type AesEcb128ConverterOptions = SymetricOption | AsymetricOption;
interface SymetricOption {
    key: string;
    iv: string;
}
export interface AsymetricOption {
    key: string;
    ivDecode: string;
    ivEncode: string;
}
export declare class AesEcb128Converter implements Encoder<Uint8Array, Uint8Array>, Decoder<Uint8Array, Uint8Array> {
    private _options?;
    constructor(options?: AesEcb128ConverterOptions);
    setOptions(options: AesEcb128ConverterOptions): void;
    readonly options: AesEcb128ConverterOptions | undefined;
    encode(data: Uint8Array): Uint8Array;
    decode(data: Uint8Array): Uint8Array;
}
export {};
